nworker = 1
emitted messages = 17
received messages = 17
# inferred constraint = 19
# generated instructions = 23


nworker = 2
emitted messages = 34
received messages = 34
# inferred constraint = 30
# generated instructions = 43

nworker = 5
emitted messages = 85
received messages = 85
# inferred constraint = 63
# generated instructions = 103

nworker =10
emitted messages = 170
received messages = 170
# inferred constraint = 118
# generated instructions = 203